function [ f ] = computefSL( X, z1, z2, GXTP, params )
%SQUARE_LOSS_F Summary of this function goes here
%   Detailed explanation goes here

if params.computeGradFlag == 1

zzTA = 0.5 * computeGradSL(X, z1, GXTP) * z2;

else
    zzTA = .5 * params.grad * z2;
end

f = trace(zzTA);

end